module_name = 'ccpro_dynamic_form_list';

$('#form_type').change(function() {
    if($(this).is(":checked")) {
	$('#select_team').prop('disabled', true);
    }else{
	$('#select_team').prop('disabled', false);
    }
});

$('#form_name').change(function() {    
    form_name = $('#form_name').val();
    $.post('index.php?menu=' + module_name + '&rawmode=yes', {
	    menu:       module_name, 
	    rawmode:    'yes',
	    action:     'queryFormName',
	    form_name:  form_name
	},
	function (result) {
	    if(result.status == 0){
		$("#status_form_name").css({ 'color': 'green', 'font-size': '100%' });	
	    }

	    if(result.status == 1){
		$("#status_form_name").css({ 'color': 'red', 'font-size': '100%' });	
	    }

	    $("#status_form_name").html(result['message']);
	}
    ); /* fin del post */    
});

$('#add_node').click(function(){
    node_name = $('#node').val();
    $.post('index.php?menu=' + module_name + '&rawmode=yes', {
	    menu:       module_name, 
	    rawmode:    'yes',
	    action:     'addNode',
	    node_name:  node_name
	},
	function (result) {
	    if(result.status == 0){
		$("#status_node").css({ 'color': 'green', 'font-size': '100%' });

		$.post('index.php?menu=' + module_name + '&rawmode=yes', {
		    menu:       module_name, 
		    rawmode:    'yes',
		    action:     'updateNodeList'
		},
		function (result2) { // esto viene como html
			$("#node_list").html(result2);
		    }
		); // fin del post

	    }
	    if(result.status == 1){
		$("#status_node").css({ 'color': 'red', 'font-size': '100%' });	
	    }
	    $("#status_node").html(result['message']);
	}
    ); // fin del post    
});
